summaryrefslogtreecommitdiffstats
path: root/source/d/gcc/gcc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/gcc/gcc.SlackBuild')
-rwxr-xr-xsource/d/gcc/gcc.SlackBuild16
1 files changed, 2 insertions, 14 deletions
diff --git a/source/d/gcc/gcc.SlackBuild b/source/d/gcc/gcc.SlackBuild
index 390d94d05..682fab972 100755
--- a/source/d/gcc/gcc.SlackBuild
+++ b/source/d/gcc/gcc.SlackBuild
@@ -57,7 +57,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gcc
SRCVER=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
VERSION=$(echo $SRCVER | cut -f 1 -d _)
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-1}
# How many jobs to run in parallel:
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -167,19 +167,7 @@ cat $CWD/slack-desc.gcc-gdc > $PKG10/install/slack-desc
( cd gcc-$SRCVER || exit 1
# Smite the fixincludes:
- zcat $CWD/gcc-no_fixincludes.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
-
- # Fix internal compiler error (PR90303):
- zcat $CWD/patches/Fix-ipa-devirt-ICEs-with-types-requiring-structural-equality-PR-tree-optimization-90303.patch.gz | patch -p0 --verbose || exit 1
-
- # Fix std::variant friend declaration that broke clang (PR90397):
- zcat $CWD/patches/gcc.PR90397.patch.gz | patch -p1 --verbose || exit 1
-
- # Fix format errors in es locale that can cause an internal compiler error:
- zcat $CWD/patches/gcc.es.po.diff.gz | patch -p1 --verbose || exit 1
-
- # Fix errors in sv locale:
- zcat $CWD/patches/gcc.sv.po.diff.gz | patch -p1 --verbose || exit 1
+ zcat $CWD/patches/gcc-no_fixincludes.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
# Fix perms/owners:
chown -R root:root .